%define svn 0
%define svnrev 6163
%define branch_ver 4.1

%define major		4
%define libname		%mklibname kvilib %major
%define develname	%mklibname kvilib -d

Name:		kvirc
Version:	4.1.3
Release:	%mkrel -c svn%{svnrev} 1
Summary:	Qt IRC client
Group:		Networking/IRC
License:	GPLv2+ with exceptions
URL:		http://www.kvirc.net
#Source0:	ftp://ftp.kvirc.net/pub/kvirc/%{version}/source/%{name}-%{version}-svn%{svnrev}%{?!svn:-%{version}}.tar.bz2
# svn export -r 6163 https://svn.kvirc.de/svn/trunk/kvirc
# tar cjf kvirc-4.1.3-svn6163.tar.bz2 kvirc
Source0:	kvirc-4.1.3-svn6163.tar.bz2
Source1:	kvirc-4.0.4-irc.protocol
Source2:	kvirc-4.0.4-irc6.protocol
BuildRequires:	cmake
BuildRequires:	kdelibs4-devel
BuildRequires:	perl-devel
BuildRequires:	gettext
BuildRequires:	phonon-devel
BuildRequires:	openssl-devel
BuildRequires:	doxygen
BuildRequires:	shared-mime-info > 0.23
BuildRequires:	gsm-devel
Requires:	%{libname} = %{version}
Obsoletes:	kvirc4 < %{version}-%{release}
Provides:	kvirc4 = %{version}-%{release}

%description
Qt-based IRC client with support for themes, transparency, encryption,
many extended IRC features, and scripting.

%files -f %{name}.lang
%{_bindir}/%{name}
%{_libdir}/%{name}/%{branch_ver}
%{_datadir}/%{name}/%{branch_ver}
%{_iconsdir}/hicolor
%{_mandir}/*/man1/*.1*
%{_mandir}/man1/*.1*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/kde4/services/_irc*.protocol


#--------------------------------------------------------------------
%package -n %{libname}
Summary:	Shared library for KVirc 4
Group:		System/Libraries
Obsoletes:	%{mklibname kvirc 4 4} 

%description -n %{libname}
Shared library provided by KVirc 4.

%files -n %{libname}
%{_libdir}/libkvilib.so.%{major}*


#--------------------------------------------------------------------
%package -n %{develname}
Summary:	Development headers for KVirc 4
Group:		Development/C++
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development headers for KVirc 4.

%files  -n %{develname}
%{_bindir}/%name-config
%{_libdir}/libkvilib.so


#--------------------------------------------------------------------
%prep 
%setup -q%{?svn:n %{name}}

%build
%cmake_kde4 \
    -DWANT_DCC_VIDEO=ON \
    -DWANT_OGG_THEORA=ON \
%{?svn:\
    -DMANUAL_REVISION=%{svnrev}}

%make

%install
%find_lang %{name}
%makeinstall_std -C build

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128,scalable}/apps
for i in 16x16 32x32 48x48 64x64 128x128; do \
	cp data/icons/$i/*.png %{buildroot}%{_iconsdir}/hicolor/$i/apps; \
done
cp data/icons/scalable/*.svg* %{buildroot}%{_iconsdir}/hicolor/scalable/apps
rm -f %{buildroot}%{_iconsdir}/hicolor/scalable/apps/createpng.sh

# Zé: irc protocol handle
install -m755 -d %{buildroot}%{_datadir}/kde4/services
install -m644 %{S:1} %{buildroot}%{_datadir}/kde4/services/_irc.protocol
install -m644 %{S:2} %{buildroot}%{_datadir}/kde4/services/_irc6.protocol


%changelog

* Tue May 01 2012 sander85 <sander85> 4.1.3-0.svn6163.1.mga2
+ Revision: 234450
- upgrade to newer revision to fix glitches in input fields

* Thu Dec 22 2011 juancho <juancho> 4.1.3-0.svn5993.1.mga2
+ Revision: 185674
- Updated to 4.1.3 (svnrev 5993)
- Fixed man pages, removed hardcoded installation
- Enabled cmake options WANT_DCC_VIDEO and WANT_OGG_THEORA
- Fixed broken install of _irc*.protocol services
- Removed BuildRoot stuff

  + ze <ze>
    - add irc handle
    - rebuild against new perl version
    - clean devel requires to %%release

* Mon Jun 13 2011 ze <ze> 4.0.4-2.mga2
+ Revision: 105559
- add requires for lib package

* Sat May 14 2011 ze <ze> 4.0.4-1.mga2
+ Revision: 98776
- imported package kvirc

